//doubleSided = "0";

singleton Material(pickup_cover)
{
   mapTo = "pickup_cover";
   diffuseMap[2] = "vehicles/pickup_st/pickup_cover_c.dds";
   specularMap[2] = "vehicles/pickup_st/pickup_cover_s.dds";
   normalMap[2] = "vehicles/pickup_st/pickup_cover_n.dds";
   diffuseMap[1] = "vehicles/pickup_st/pickup_cover_d.dds";
   specularMap[1] = "vehicles/pickup_st/pickup_cover_s.dds";
   normalMap[1] = "vehicles/pickup_st/pickup_cover_n.dds";
   //diffuseMap[0] = "vehicles/pickup_st/pickup_cover_d.dds";
   //specularMap[0] = "vehicles/pickup_st/pickup_cover_s.dds";
   //normalMap[0] = "vehicles/pickup_st/pickup_cover_n.dds";
   //diffuseMap[3] = "vehicles/pickup_st/pickup_cover_d.dds";
   //normalMap[3] = "vehicles/pickup_st/pickup_cover_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "0";
   useAnisotropic[1] = "0";
   useAnisotropic[2] = "0";
   //diffuseColor[3] = "0.1 0.1 0.1 1.1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(st_engR)
{
   mapTo = "st_engR";
   //diffuseMap[2] = "vehicles/pickup_st/engineR_d.dds";
   //specularMap[2] = "vehicles/pickup_st/engineR_s.dds";
   //normalMap[2] = "vehicles/pickup_st/engineR_n.dds";
   //diffuseMap[1] = "vehicles/pickup_st/engineR_d.dds";
   //specularMap[1] = "vehicles/pickup_st/engineR_s.dds";
   //normalMap[1] = "vehicles/pickup_st/engineR_n.dds";
   diffuseMap[0] = "vehicles/pickup_st/engineR_d.dds";
   specularMap[0] = "vehicles/pickup_st/engineR_s.dds";
   normalMap[0] = "vehicles/pickup_st/engineR_n.dds";
   //diffuseMap[3] = "vehicles/pickup_st/engineR_d.dds";
   //normalMap[3] = "vehicles/pickup_st/engineR_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   //specularPower[1] = "16";
   //pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   //diffuseColor[1] = "1 1 1 1.6";
   //diffuseColor[2] = "0.7 0.75 0.8 1.6";
   useAnisotropic[0] = "1";
   //useAnisotropic[1] = "1";
   //useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1.6";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "na";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_st_spoiler)
{
   mapTo = "wing";
   diffuseMap[2] = "vehicles/pickup_st/pickup_st_spoiler_d.dds";
   specularMap[2] = "vehicles/pickup_st/pickup_st_spoiler_s.dds";
   normalMap[2] = "vehicles/pickup_st/pickup_st_spoiler_n.dds";
   diffuseMap[1] = "vehicles/pickup_st/pickup_st_spoiler_d.dds";
   specularMap[1] = "vehicles/pickup_st/pickup_st_spoiler_s.dds";
   rnormalMap[1] = "vehicles/pickup_st/pickup_st_spoiler_n.dds";
   //diffuseMap[0] = "vehicles/common/null.dds";
   //specularMap[0] = "vehicles/common/null.dds";
   //normalMap[0] = "vehicles/common/null.dds";
   //diffuseMap[3] = "vehicles/pickup_st/pickup_st_spoiler_d.dds";
   //normalMap[3] = "vehicles/pickup_st/pickup_st_spoiler_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.65 0.65 0.65 0.9";
   diffuseColor[1] = "0.65 0.65 0.65 0.9";
   diffuseColor[2] = "0.65 0.65 0.65 0.9";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0.65 0.65 0.65 0.9";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_spsm)
{
   mapTo = "pickup_spsm";
   diffuseMap[2] = "vehicles/pickup_st/pickup_spsm_c.dds";
   specularMap[2] = "vehicles/pickup_st/pickup_spsm_s.dds";
   normalMap[2] = "vehicles/pickup_st/pickup_spsm_n.dds";
   diffuseMap[1] = "vehicles/pickup_st/pickup_spsm_d.dds";
   specularMap[1] = "vehicles/pickup_st/pickup_spsm_s.dds";
   normalMap[1] = "vehicles/pickup_st/pickup_spsm_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup_st/pickup_spsm_n.dds";
   //diffuseMap[3] = "vehicles/pickup_st/pickup_spsm_d.dds";
   //normalMap[3] = "vehicles/pickup_st/pickup_spsm_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.2 0.225 0.25 1.2";
   useAnisotropic[0] = "0";
   useAnisotropic[1] = "0";
   useAnisotropic[2] = "0";
   diffuseColor[3] = "0.03 0.03 0.03 1.5";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup)
{
   mapTo = "pickup";
   diffuseMap[2] = "vehicles/pickup_st/pickup_st_c.dds";
   specularMap[2] = "vehicles/pickup_st/pickup_st_s.dds";
   normalMap[2] = "vehicles/pickup_st/pickup_st_n.dds";
   diffuseMap[1] = "vehicles/pickup_st/pickup_st_d.dds";
   specularMap[1] = "vehicles/pickup_st/pickup_st_s.dds";
   normalMap[1] = "vehicles/pickup_st/pickup_st_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup_st/pickup_st_n.dds";
   //diffuseMap[3] = "vehicles/pickup/pickup_dirt.dds";
   //normalMap[3] = "vehicles/pickup_st/pickup_st_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.7 0.75 0.8 1.2";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass)
{
   mapTo = "pickup_glass";
   diffuseMap[0] = "vehicles/pickup/pickup_glass_d.dds";
   specularMap[0] = "vehicles/pickup/pickup_glass_s.dds";
   diffuseMap[1] = "vehicles/pickup/pickup_glass_da.dds";
   specularMap[1] = "vehicles/pickup/pickup_glass_s.dds";
   //diffuseMap[2] = "vehicles/pickup/pickup_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0 0 0 0";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_headlight)
{
   mapTo = "pickup_headlight";
};

singleton Material(pickup_parkinglight)
{
   mapTo = "pickup_parkinglight";
};

singleton Material(pickup_signal_L)
{
   mapTo = "pickup_signal_L";
};

singleton Material(pickup_signal_R)
{
   mapTo = "pickup_signal_R";
};

singleton Material(pickup_taillight_L)
{
   mapTo = "pickup_taillight_L";
};

singleton Material(pickup_taillight_R)
{
   mapTo = "pickup_taillight_R"; 
};

singleton Material(pickup_reverselight)
{
   mapTo = "pickup_reverselight"; 
};

singleton Material(pickup_chmsl)
{
   mapTo = "pickup_chmsl"; 
};

singleton Material(pickup_lights)
{
   mapTo = "pickup_lights";
   diffuseMap[1] = "vehicles/pickup/pickup_lights_d.dds";
   specularMap[1] = "vehicles/pickup/pickup_lights_s.dds";
   normalMap[1] = "vehicles/pickup/pickup_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup/pickup_lights_n.dds";
   //diffuseMap[2] = "vehicles/pickup/pickup_lights_dirt.dds";
   //normalMap[2] = "vehicles/pickup/pickup_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_on)
{
   mapTo = "pickup_lights_on";
   diffuseMap[2] = "vehicles/pickup/pickup_lights_g.dds";
   specularMap[2] = "vehicles/pickup/pickup_lights_s.dds";
   normalMap[2] = "vehicles/pickup/pickup_lights_n.dds";
   diffuseMap[1] = "vehicles/pickup/pickup_lights_d.dds";
   specularMap[1] = "vehicles/pickup/pickup_lights_s.dds";
   normalMap[1] = "vehicles/pickup/pickup_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup/pickup_lights_n.dds";
   //diffuseMap[3] = "vehicles/pickup/pickup_lights_dirt.dds";
   //normalMap[3] = "vehicles/pickup/pickup_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_on_intense)
{
   mapTo = "pickup_lights_on_intense";
   diffuseMap[2] = "vehicles/pickup/pickup_lights_g.dds";
   specularMap[2] = "vehicles/pickup/pickup_lights_s.dds";
   normalMap[2] = "vehicles/pickup/pickup_lights_n.dds";
   diffuseMap[1] = "vehicles/pickup/pickup_lights_d.dds";
   specularMap[1] = "vehicles/pickup/pickup_lights_s.dds";
   normalMap[1] = "vehicles/pickup/pickup_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup/pickup_lights_n.dds";
   //diffuseMap[3] = "vehicles/pickup/pickup_lights_dirt.dds";
   //normalMap[3] = "vehicles/pickup/pickup_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_dmg)
{
   mapTo = "pickup_lights_dmg";
   diffuseMap[1] = "vehicles/pickup/pickup_lights_dmg_d.dds";
   specularMap[1] = "vehicles/pickup/pickup_lights_dmg_s.dds";
   normalMap[1] = "vehicles/pickup/pickup_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup/pickup_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/pickup/pickup_lights_dirt.dds";
   //normalMap[2] = "vehicles/pickup/pickup_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_interior)
{
   mapTo = "pickup_interior";
   diffuseMap[0] = "vehicles/pickup_st/pickup_st_interior_d.dds";
   normalMap[0] = "vehicles/pickup_st/pickup_st_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "vehicles/pickup_st/pickup_st_interior_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(pickup_gauges_I)
{
   mapTo = "pickup_gauges_m";
   diffuseMap[1] = "vehicles/pickup_st/pickup_sti_gauges_g.dds";
   specularMap[1] = "vehicles/pickup_st/pickup_sti_gauges_s.dds";
   //normalMap[1] = "vehicles/pickup_st/pickup_sti_gauges_n.dds";
   diffuseMap[0] = "vehicles/pickup_st/pickup_sti_gauges_d.dds";
   specularMap[0] = "vehicles/pickup_st/pickup_sti_gauges_s.dds";
   //normalMap[0] = "vehicles/pickup_st/pickup_sti_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(pickup_gauges_M)
{
   mapTo = "pickup_gauges_k";
   diffuseMap[1] = "vehicles/pickup_st/pickup_st_gauges_g.dds";
   specularMap[1] = "vehicles/pickup_st/pickup_st_gauges_s.dds";
   //normalMap[1] = "vehicles/pickup_st/pickup_st_gauges_n.dds";
   diffuseMap[0] = "vehicles/pickup_st/pickup_st_gauges_d.dds";
   specularMap[0] = "vehicles/pickup_st/pickup_st_gauges_s.dds";
   //normalMap[0] = "vehicles/pickup_st/pickup_st_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(pickup_gauges_on)
{
   mapTo = "pickup_gauges_on";
   diffuseMap[1] = "vehicles/pickup_st/pickup_st_gauges_g.dds";
   specularMap[1] = "vehicles/pickup_st/pickup_st_gauges_s.dds";
   //normalMap[1] = "vehicles/pickup_st/pickup_st_gauges_n.dds";
   diffuseMap[0] = "vehicles/pickup_st/pickup_st_gauges_d.dds";
   specularMap[0] = "vehicles/pickup_st/pickup_st_gauges_s.dds";
   //normalMap[0] = "vehicles/pickup_st/pickup_st_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(pickup_glass_dmg)
{
   mapTo = "pickup_glass_dmg";
   diffuseMap[0] = "vehicles/pickup/pickup_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/pickup/pickup_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};